# std::experimental::observer_ptr<W>::operator element_type*

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr explicit operator element_type*() const noexcept; |  | (library fundamentals TS v2)

Provides an explicit conversion to the type of the stored pointer.

### Parameters

(none)

### Return value

A pointer to the watched object, i.e., get()

### Example

| This section is incomplete Reason: no example

### See also

get | returns a pointer to the watched object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/operator_pointer&oldid=98268"